Bug 1873779 - [v2v][UI][RHV to CNV VM import] "Access Mode" should reflect the actual value being used, and not the wrong dummy value "RWO" [NEEDINFO]
Summary: [v2v][UI][RHV to CNV VM import] "Access Mode" should reflect the actual value...
Keywords:
Status: ON_QA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: Filip Krepinsky
QA Contact: Ilanit Stein
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-30 05:00 UTC by Ilanit Stein
Modified: 2020-09-21 10:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:
istein: needinfo? (tjelinek)
yzamir: needinfo? (mcarleto)
yzamir: needinfo? (istein)


Attachments (Terms of Use)
Edit_Disk screenshot (33.47 KB, image/png)
2020-08-30 05:00 UTC, Ilanit Stein
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6582 None closed Bug 1873779: show the correct access mode for ovirt import 2020-09-21 10:52:25 UTC

Description Ilanit Stein 2020-08-30 05:00:54 UTC
Created attachment 1713064 [details]
Edit_Disk screenshot

Description of problem:
Please remove the "Access Mode" from RHV to CNV VM import wizard, in the "Edit Disk" window, under the "Advanced" section.

Currently "Access Mode" is not active, and displays "RWO" value, that is not honored. 
The actual "Access Mode" in the VM import request is set by the source VM in the VM import backend code.

Version-Release number of selected component (if applicable):
OCP-4.5.5/CNV-2.4.1

Additional info:
This bug is driven from bug 1864577

Comment 1 Yaacov Zamir 2020-09-01 09:00:25 UTC
@Matt hi,

This looks similar to https://bugzilla.redhat.com/show_bug.cgi?id=1850574

In this case we have a fields that the Importer calculates by it's self (we can't overwrite it), but since we use the vm-wizard for import, we can see it as ab option.

Do you think of a design ( like in https://bugzilla.redhat.com/show_bug.cgi?id=1850574 ) where we can tell the user that this fields are not relevant for the import flow without actually removing them ?

p.s.
another option is not to use the vm-wizard for import, since it needs only the imported vm name, unlike the many inputs that we use to creating a vm, making most of the wizard irrelevant ?

Comment 2 Yaacov Zamir 2020-09-01 09:00:58 UTC
^^

Comment 3 Matt 2020-09-02 02:44:19 UTC
This is slightly different. It sounds like we could not show the access mode if it doesn’t apply.

Comment 4 Filip Krepinsky 2020-09-03 13:31:52 UTC
at today's meeting we concluded it would be more beneficial to gather info from backend and show the right value which would be resolved by vm-import-operator

Comment 5 Ilanit Stein 2020-09-06 08:34:41 UTC
@Tomas, @Yaacov,

This bug is about that Access mode shows a false fixed data "RWO". 
Is it possible to target it to 4.6 please?

Comment 6 Yaacov Zamir 2020-09-06 17:59:11 UTC
> Is it possible to target it to 4.6 please?

Sure, moving to 4.6

Comment 7 Yaacov Zamir 2020-09-09 05:01:05 UTC
Note:
we also see the "Access Mode" in the review tab, when removing the "Access Mode" input, we also need to remove it from the review tab,

@Matt, maybe remove the network and disks completely from the review tab in the case of imports because until we get the information from the operator https://bugzilla.redhat.com/show_bug.cgi?id=1873779#c4 they will show wrong information ?

Comment 8 Filip Krepinsky 2020-09-09 10:03:03 UTC
@Yaacov @Matt

I don't think that is necessary to remove it as we try to show the correct information and the review tab is quite useful - especially when you do clean import and you see only import tab and review tab

plus we decided to supply the backend value, and not to remove the access mode input

Comment 9 Yaacov Zamir 2020-09-09 10:16:15 UTC
> plus we decided to supply the backend value, and not to remove the access mode input

Filip hi, this BZ is now on 4.6, do we have an API-call/CRD-status to give us this info in 4.6 ?
Can we deliver this in 4.6 ?

cc:// Ilanit

Comment 10 Filip Krepinsky 2020-09-09 10:19:44 UTC
yes we do, merged today: https://github.com/ManageIQ/manageiq-v2v-conversion_host/pull/87


Note You need to log in before you can comment on or make changes to this bug.